
GammaLib - Change request #1140

Have consistent units for spectral models

02/07/2014 08:09 PM - Knödlseder Jürgen

Status: Closed Start date: 02/07/2014

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

Actually the spectral units for an isotropic spatial model differ from the other spatial models in that for the isotropic case, units are

ph/cm2/s/MeV/sr, while for the other cases, units are ph/cm2/s/MeV. This should be changed so that spectra are always given in the

same units. Alternatively, one could change the unit string dependent on the model, but it'll be probably tricky to implement this

properly.

History

#1 - 02/17/2014 10:10 PM - Knödlseder Jürgen

- Target version set to 00-08-02

#2 - 07/19/2014 02:06 AM - Knödlseder Jürgen

- Target version changed from 00-08-02 to 00-09-00

Skip 0.8.2 release.

#3 - 11/11/2014 11:28 PM - Knödlseder Jürgen

- Target version changed from 00-09-00 to 1.0.0

#4 - 02/10/2015 12:33 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 10

Here the current behavior:

GModelSpatialDiffuseMap::eval returns a skymap intensity (1/sr), but the sky map is normalised to a total flux of 1 upon loading.

GModelSpatialDiffuseCube::eval returns an intensity (1/sr)

GModelSpatialDiffuseConst::eval returns the value parameter (typically 1)

Here for GModelSpatialDiffuseMap::eval the spectral model gives the intensity in ph/cm2/s/MeV, for GModelSpatialDiffuseCube::eval it gives a

relative normalisation (no units), while for

GModelSpatialDiffuseConst::eval it gives the intensity flux ph/cm2/s/MeV/sr (as the 1/sr is missing in the GModelSpatialDiffuseConst::eval method.

#5 - 02/10/2015 01:50 PM - Knödlseder Jürgen

I think the conclusion is that the units of a spectral model depend on the spatial model. Not sure that there is really a way around that.

#6 - 02/10/2015 02:34 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed
- % Done changed from 10 to 100

Decided to do nothing about it but to clearly specify in the documentation the units of the models.
